package org.mynonglam.dao;

import java.util.ArrayList;

public class Emoticon {
	private ArrayList<String> key = new ArrayList<String>();
	private ArrayList<String> emo = new ArrayList<String>();
	
	public Emoticon(){
		key.add(":d");
		key.add(":p");
		key.add(":v");
		key.add(":))");
		key.add(":)");
		key.add(":x");
		key.add("@@");
		key.add(">_<");
		key.add("(y)");
		key.add(":((");
		key.add("^_^");
		key.add(":*");
		key.add(":3");
		key.add(":(");
		
		emo.add("<img src='icon/1.png'/>");
		emo.add("<img src='icon/2.png'/>");
		emo.add("<img src='icon/4.png'/>");
		emo.add("<img src='icon/4.png'/>");
		emo.add("<img src='icon/3.png'/>");
		emo.add("<img src='icon/5.png'/>");
		emo.add("<img src='icon/6.png'/>");
		emo.add("<img src='icon/6.png'/>");
		emo.add("<img src='icon/7.png'/>");
		emo.add("<img src='icon/12.png'/>");
		emo.add("<img src='icon/9.png'/>");
		emo.add("<img src='icon/10.png'/>");
		emo.add("<img src='icon/11.png'/>");
		emo.add("<img src='icon/8.png'/>");
	}
	
	public String replaceEmo(String s){
		for (int i = 0; i < key.size(); i++) {
			if (s.toLowerCase().contains(key.get(i))){
				// Viết thường
				s = s.replace(key.get(i).toLowerCase(), emo.get(i));
				// Viết hoa
				s = s.replace(key.get(i).toUpperCase(), emo.get(i));
			}
		}
		return s;
	}
	public static void main(String[] args) {
		System.out.println(new Emoticon().replaceEmo(":(("));
	}
	
}
